Check which Google APIs a Google Workspace connector can reach
curl --request GET \
--url https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"providerId": "<string>",
"checked": true,
"apis": [
{
"id": "<string>",
"name": "<string>",
"service": "<string>",
"features": [
"<string>"
],
"status": "enabled",
"enableUrl": "<string>",
"detail": "<string>"
}
]
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "unknown_oauth_provider",
"message": "<string>"
}Authentication
Check which Google APIs a Google Workspace connector can reach
Requires the View OAuth apps permission and a sign-in within the last 24 hours. For each Google API the connector’s saved permissions call, makes one read with the caller’s own sign-in on this connector and reports whether the API is turned on in the Google Cloud project that owns the OAuth client, with Google’s link to turn it on. Returns no Google content. Without a sign-in, lists the APIs as unchecked.
GET
/
v1
/
oauth-providers
/
{providerId}
/
api-check
Check which Google APIs a Google Workspace connector can reach
curl --request GET \
--url https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/oauth-providers/{providerId}/api-check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"providerId": "<string>",
"checked": true,
"apis": [
{
"id": "<string>",
"name": "<string>",
"service": "<string>",
"features": [
"<string>"
],
"status": "enabled",
"enableUrl": "<string>",
"detail": "<string>"
}
]
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "unknown_oauth_provider",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Required string length:
1 - 255Was this page helpful?